import request from '@/utils/request'

// 获取坐席组列表数据
export function getSeatGroupLists(params) {
  return request({
    url: 'api/seatgroup/getlistbypage',
    method: 'get',
    params
  })
}

// 获取坐席组数据
export function getSeatGroup(id) {
  return request({
    url: 'api/seatgroup/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加坐席组数据
export function addSeatGroup(data) {
  return request({
    url: 'api/seatgroup/add',
    method: 'post',
    data
  })
}

// 编辑坐席组数据
export function editSeatGroup(data) {
  return request({
    url: 'api/seatgroup/update',
    method: 'post',
    data
  })
}

// 删除坐席组数据
export function deleteSeatGroup(ids) {
  return request({
    url: 'api/seatgroup/delete',
    method: 'post',
    data: {
      ids
    }
  })
}